Subject: Re: [PATCH] rebase --no-verify

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 6 Oct 2008 09:14:24 -0700

Stephan Beyer <[email-masked]> wrote:
> Shawn O. Pearce wrote:
> > >     It probably is better to fix "rebase -i" to share more code with the main
> > >     "rebase" script to avoid duplicated run-pre-rebase-hook function, but it
> > >     is beyond what I can do right now.  Perhaps people more smart and
> > >     beautiful than me can help (^_^;)
> > 
> > True.  But its already a mess.  git-sequencer is probably the
> > right approach to merge it all together.
> 
> Hmm, I don't think I like the pre-rebase hook in sequencer. The user
> scripts (git-rebase--interactive.sh and git-rebase.sh) should run them;
> that's ok.

Sorry, my remark wasn't about the rebase hook as much as it was
that there is a good chunk of code duplicated between the two
rebase implementations and all of them were implemented through
git-sequencer its likely they could all collapse into a single
common "git rebase" wrapper script which just sets up the call
to git-sequencer.

So yea, I do agree, the pre-rebase hook should be in rebase, not
git-sequencer, but git-sequencer probably offers a great way to
get the different rebase implementations combined together.
 
> I think, for the moment it is ok to have the code duplicated.  After
> sequencer has merged into master[1], I will probably take a look at
> merging git-rebase.sh and git-rebase--interactive.sh if somebody
> else is interested in it and if there is a good way to achieve that.

Yup, exactly my thoughts.  I just didn't express them well.

-- 
Shawn.